%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.44
%define version 1.1.2
%define kderelease 3
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename kdemultimedia
Name: %{kdename}
Icon: kde-icon.xpm
Summary: K Desktop Environment - Multimedia Applications
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Patch0: kdemultimedia-1.1-redhat.patch
Patch1: kdemultimedia-1.1.2-localkscd.patch
Group: Applications/Multimedia
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport
Prefix: %{kdeprefix}

%description
Multimedia applications for the K Desktop Environment.
Included: kmedia (media player); kmid (midi/karaoke player);
kmidi (midi-to-wav player/converter); kmix (mixer); kscd (CD audio player)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n kdemultimedia-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .localkscd

%build
make -f Makefile.cvs
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
./configure \
	--prefix=%{kdeprefix}  \
	--with-install-root=$RPM_BUILD_ROOT
make CPPFLAGS="-DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"


%install
make install-strip

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/usr/share/apps/kscd/*

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
